# Testing data

To force specific behavior/error codes in the AIS (Account Information Service) on the sandbox environment and observe what the end-user will experience, you should provide a login from the list below.

| Login                      | Description                                                                                           |
| -------------------------- | ----------------------------------------------------------------------------------------------------- |
| badlogin                   | The login is incorrect, resulting in a failed authentication.                                         |
| dielogin                   | An internal error occurs during the login process, causing it to fail.                                |
| diesca                     | The Strong Customer Authentication (SCA) process fails for some reason.                               |
| dieacc                     | The flow encounters an error while trying to fetch customer accounts.                                 |
| dieide                     | The flow encounters an error while trying to fetch customer identity information.                     |
| dietra                     | The flow encounters an error while trying to fetch customer transactions.                             |
| empty\_transactions        | The flow returns empty lists of transactions.                                                         |
| delay=${number}            | Sets a delay in the login response to the specified `number` value.                                   |
| accdelay=${number}         | Sets a delay in the accounts response to the specified `number` value.                                |
| trndelay=${number}         | Sets a delay in the transactions response to the specified `number` value.                            |
| smsinvalid                 | An error occurs during the Strong Customer Authentication (SCA) process due to an invalid SMS code.   |
| smserror                   | An error occurs during the Strong Customer Authentication (SCA) process related to an issue with SMS. |
| mobnac                     | The mobile-based Strong Customer Authentication (SCA) method is not accepted, resulting in an error.  |
| moberror                   | An error occurs during the mobile-based Strong Customer Authentication (SCA) process.                 |
| wrongacc                   | Returns an error if the selected account type is incorrect, based on the identity query parameter.    |
| wrongaccthrow              | Returns an error indicating that the selected account type is incorrect.                              |
| emptyacc                   | Returns an empty list of bank accounts.                                                               |
| accblocked                 | Authentication fails as the account is blocked                                                        |
| acc\_unsupported\_auth     | Authentication fails due to an unsupported authentication method                                      |
| scasms\_double             | Flow involving double SMS-based SCA.                                                                  |
| scamobile                  | Flow with MOBILE SCA.                                                                                 |
| scamobile\_timeout         | Never confirms the first mobile SCA, causing a timeout.                                               |
| scamobile\_double\_timeout | Never confirms the second mobile SCA, causing a timeout.                                              |
| nosca                      | Flow with no SCA involved.                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/ais/testing-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
